Skip to content

Cashback settings ​

INFO

Every response arrives in the shared envelope — code, message, messages, status_code, time — with the payload in data. The tables below describe what is inside data.

POST /cashback-setting/create ​

This method allows adding cashback-settings into the account.

Request body

FieldTypeRequiredDescription
typestringYesOne of: by_amount, all. Default: "by_amount"
is_activebooleanYesDefault: true
organization_idstringYes
organization_idsstring[]No
cashbacksobject[]Yes
cashbacks[].cashback_typestringYesOne of: percent, cash. Default: "percent"
cashbacks[].min_amountnumberNo
cashbacks[].amountnumberYes
cashbacks[].percentnumberYes
cashbacks[].currency_idstringYes
json
{
  "type": "by_amount",
  "is_active": true,
  "organization_id": "67b486d242ed76693cd2cc59",
  "organization_ids": [
    "63f8b0c4e4b0d3a2f8e4b0c4"
  ],
  "cashbacks": [
    {
      "cashback_type": "percent",
      "min_amount": 0,
      "amount": 0,
      "percent": 0,
      "currency_id": "67b486d242ed76693cd2cc59"
    }
  ]
}

Response

FieldTypeDescription
typestringOne of: all, by_amount
is_activebooleanDefault: false
organization_idstring
cashbacksobject[]
cashbacks[].cashback_typestringOne of: percent, cash
cashbacks[].min_amountnumber
cashbacks[].amountnumber
cashbacks[].percentnumber
cashbacks[].currency_idstring
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "type": "all",
    "is_active": false,
    "organization_id": "string",
    "cashbacks": [
      {
        "cashback_type": "percent",
        "min_amount": 0,
        "amount": 0,
        "percent": 0,
        "currency_id": "67b486d242ed76693cd2cc59"
      }
    ]
  },
  "time": "2025-05-01T12:00:00Z"
}

PUT /cashback-setting/update ​

This method allows updating cashback-settings in the account.

Request body

FieldTypeRequiredDescription
_idstringYes
typestringYesOne of: by_amount, all. Default: "by_amount"
is_activebooleanYesDefault: true
organization_idstringYes
organization_idsstring[]No
cashbacksobject[]Yes
cashbacks[].cashback_typestringYesOne of: percent, cash. Default: "percent"
cashbacks[].min_amountnumberNo
cashbacks[].amountnumberYes
cashbacks[].percentnumberYes
cashbacks[].currency_idstringYes
json
{
  "_id": "63f8b0c4e4b0d3a2f8e4b0c4",
  "type": "by_amount",
  "is_active": true,
  "organization_id": "67b486d242ed76693cd2cc59",
  "organization_ids": [
    "63f8b0c4e4b0d3a2f8e4b0c4"
  ],
  "cashbacks": [
    {
      "cashback_type": "percent",
      "min_amount": 0,
      "amount": 0,
      "percent": 0,
      "currency_id": "67b486d242ed76693cd2cc59"
    }
  ]
}

Response

Same response shape as POST /cashback-setting/create.

DELETE /cashback-setting/delete/{id} ​

Delete a cashback-settings

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "ok",
  "time": "2025-05-01T12:00:00Z"
}

GET /cashback-setting/get-all ​

Get all cashback-settings

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    {
      "type": "all",
      "is_active": false,
      "organization_id": "string",
      "cashbacks": [
        {
          "cashback_type": null,
          "min_amount": null,
          "amount": null,
          "percent": null,
          "currency_id": null
        }
      ]
    }
  ],
  "time": "2025-05-01T12:00:00Z"
}

GET /cashback-setting/get-by-id/{id} ​

Get cashback-settings using its _id

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

Same response shape as POST /cashback-setting/create.

GET /cashback-setting/get-deleted ​

Get deleted cashback-settings ids

Query parameters

ParameterTypeRequiredDescription
deleted_atstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    "string"
  ],
  "time": "2025-05-01T12:00:00Z"
}

GET /cashback-setting/get-by-organization_id/{organization_id} ​

Get cashback-settings using organization_id

Path parameters

ParameterTypeRequiredDescription
organization_idstringYesorganization_id

Request body

No request body.

Response

Same response shape as POST /cashback-setting/create.


This page is generated from the OpenAPI spec.

Bito 2.0 Integration API